Draft Arc/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(23 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Draft Arc
|Name=Draft Arc
|Name/ru=Draft Arc
|Name/ru=Draft Arc
|Workbenches=[[Draft Module/ru|Draft]], [[Arch Module/ru|Arch]]
|MenuLocation=Черчение → Дуга
|MenuLocation=Черчение → Дуга
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|Shortcut=A R
|Shortcut=A R
|SeeAlso=[[Draft Circle/ru|Draft Circle]]
|SeeAlso=[[Draft Circle/ru|Draft Circle]]
}}
}}
</div>


==Description==
==Description==
The Arc tool creates an arc in the current [[Draft SelectPlane|work plane]] by entering four points, the center, the radius, the first point and the last point, or by picking tangents, or any combination of those. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. This tool works the same way as the [[Draft Circle]] tool, but adds start and end angles.


The [[Image:Draft_Arc.svg|24px]] '''Draft Arc''' command creates a circular arc on the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.
[[Image:Draft_Arc_example.jpg|400px]]


A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.
==How to use==

# Press the {{KEY|[[Image:Draft Arc.png|16px]] [[Draft Arc]]}} button, or press {{KEY|A}} then {{KEY|R}} keys
[[Image:Draft_Arc_example.jpg|400px]]
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
{{Caption|Arc defined by four points, center, radius, initial point of arc and final point of arc}}
# Click a second point on the 3D view, or enter a radius value

# Click a third point in the 3D view, or enter a start angle
==Usage==
# Click a fourth point in the 3D View, or enter an end ange

See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].

# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Arc]]}} button.
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
#* Use the keyboard shortcut: {{KEY|A}} then {{KEY|R}}. {{Version|0.20}}
# The {{MenuCommand|Arc}} task panel opens. See [[#Options|Options]] for more information.
# Pick the first point, the center of the arc, in the [[3D_view|3D view]], or type coordinates and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.
# Pick the third point in the [[3D_view|3D view]], or enter a {{MenuCommand|Start angle}}.
# Pick the fourth point in the [[3D_view|3D view]], or enter an {{MenuCommand|Aperture angle}}.


==Options==
==Options==

* The primary use of the arc tool is by picking four points: the centre, a point on the circumference, defining the radius, a third point defining the start of the arc, and a fourth one defining its end.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
* By pressing {{KEY|ALT}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.

* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Arc tool will restart after you give the fourth point, allowing you to draw another arc without pressing the Arc button again.
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
* Press {{KEY|N}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
* Press {{KEY|S}} to switch [[Draft_Snap|Draft snapping]] on or off.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.

* The arc can be turned into a circle after creation, by setting a same value to its first angle and last angle properties.
==Notes==

* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* If the {{MenuCommand|Edit → Preferences... → Draft → General → Create Part primitives if possible}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle.


==Properties==
==Properties==

* {{PropertyData|Radius}}: The radius of the arc
See [[Draft_Circle#Properties|Draft Circle]].
* {{PropertyData|First Angle}}: The angle of the first point of the arc
* {{PropertyData|Last Angle}}: The angle of the last point of the arc


==Scripting==
==Scripting==

The Circle tool can also be used to create arcs in [[macros]] and from the python console by using the following function, giving it additional arguments:
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Code|code=

makeCircle (radius, [placement], [facemode], [startangle], [endangle])
To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
}}
* Creates a circle object with given radius.
* If a placement is given, it is used. If facemode is False, the circle is shown as a wireframe, otherwise as a face.
* If startangle AND endangle are given (in degrees), they are used and the object appears as an arc.
* Returns the newly created object.


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
import Draft
import Draft
myArc = Draft.makeCircle(2,startangle=0,endangle=90)


doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()
}}
}}

{{clear}}

{{Docnav
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Fillet.svg
|IconR=Draft_Arc_3Points.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:04, 30 January 2024

Draft Arc

Системное название
Draft Arc
Расположение в меню
Черчение → Дуга
Верстаки
Draft, Arch
Быстрые клавиши
A R
Представлено в версии
-
См. также
Draft Circle

Description

The Draft Arc command creates a circular arc on the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a ДанныеFirst Angle that is not the same as its ДанныеLast Angle.

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Arc button.
    • Select the Drafting → Arc tools → Arc option from the menu.
    • Use the keyboard shortcut: A then R. introduced in version 0.20
  2. The Arc task panel opens. See Options for more information.
  3. Pick the first point, the center of the arc, in the 3D view, or type coordinates and press the Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.
  5. Pick the third point in the 3D view, or enter a Start angle.
  6. Pick the fourth point in the 3D view, or enter an Aperture angle.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()